Page MenuHomePhabricator

Support Swift calling convention for PPC64 targets
ClosedPublic

Authored by bob.wilson on May 7 2018, 2:37 PM.

Details

Reviewers
aschwaighofer
Summary

This adds basic support for the Swift calling convention with PPC64 targets.
Patch provided by Atul Sowani in bug report #37223

Diff Detail

Event Timeline

bob.wilson created this revision.May 7 2018, 2:37 PM

Previous review (for the swift-llvm GitHub repo): https://github.com/apple/swift-clang/pull/167

aschwaighofer accepted this revision.May 17 2018, 9:29 AM

Looks good.

This revision is now accepted and ready to land.May 17 2018, 9:29 AM
bob.wilson closed this revision.May 25 2018, 2:30 PM

Committed in Clang r333316